Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model
Class DialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddressBookDialogModel, AddToAddressBookModel, AdvancedCreateFolderDialogModel, AttachmentsModel, CollabAddressBookDialogModel, ContactPrintableViewModel, CopyFolderDialogModel, DeleteMeetingDialogModel, FolderNavigationModel, FreeBusyDialogModel, MailPrintableViewModel, MeetingAttendanceTrackingModel, MoveFolderDialogModel, RecipientInformationDialogModel, RenameFolderDialogModel, ReservationDialogModel, ShowContactInfoModel, TaskPrintableViewModel

public abstract class DialogModel
extends AbstractModel
implements java.io.Serializable

This class represents a base for dialogs.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`DialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`java.lang.String` | `getCompozeCSS()` Gets the compoze CSS path.
`java.lang.String` | `getCompozeImages()` Gets the compoze images path.
`java.lang.String` | `getCurrentSkinPath()` Gets the current skin path.

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALOG_SESSION_ATTRIBUTE

    public static final java.lang.String DIALOG_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### DialogModel

    public DialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                       GroupwarePreferences groupwarePrefs,
                       java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getCurrentSkinPath

    public java.lang.String getCurrentSkinPath()

  Gets the current skin path.

  Returns:
    the current skin path

### getCompozeCSS

    public java.lang.String getCompozeCSS()

  Gets the compoze CSS path.

  Returns:
    the compoze CSS path

### getCompozeImages

    public java.lang.String getCompozeImages()

  Gets the compoze images path.

  Returns:
    the compoze images path

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.